Subject: [PATCH 4/7] drivers/cpufreq: Convert non-modular drivers to use builtin_driver_register

From: [email-masked] (Paul Gortmaker)
Date: Wed, 3 Jun 2015 16:59:30 -0400

[Re: [PATCH 4/7] drivers/cpufreq: Convert non-modular drivers to use builtin_driver_register] On 12/05/2015 (Tue 12:34) Viresh Kumar wrote:

> On 10-05-15, 15:49, Paul Gortmaker wrote:
> > These files depend on Kconfig options all of which are a bool, so
> > we use the appropriate registration function, which avoids us
> > relying on an implicit inclusion of <module.h> which we are
> > doing currently.
> > 
> > While this currently works, we really don't want to be including
> > the module.h header in non-modular code, which we'd be forced
> > to do, pending some upcoming code relocation from init.h into
> > module.h.  So we fix it now by using the non-modular equivalent.
> > 
> > Cc: "Rafael J. Wysocki" <[email-masked]>
> > Cc: Viresh Kumar <[email-masked]>
> > Cc: Kukjin Kim <[email-masked]>
> > Cc: linux-pm at vger.kernel.org
> > Cc: linux-arm-kernel at lists.infradead.org
> > Signed-off-by: Paul Gortmaker <[email-masked]>
> > ---
> >  drivers/cpufreq/exynos-cpufreq.c  | 2 +-
> 
> Exynos can be compiled as a module:
> 
> drivers/cpufreq/Kconfig.arm:
> 
> config ARM_EXYNOS_CPUFREQ
> 	tristate "SAMSUNG EXYNOS CPUfreq Driver"
> 	depends on CPU_EXYNOS4210 || SOC_EXYNOS4212 || SOC_EXYNOS4412 || SOC_EXYNOS5250

Thanks -- I think I managed to confuse myself into thinking it was
builtin always, courtesy of the "-y" in this Makefile line...

arm-exynos-cpufreq-y                    := exynos-cpufreq.o

I'll drop the exynos chunk from this patch and fix the implicit module.h
exynos usage in a new follow on patch, both to be sent shortly.

Paul.
--

> --
> viresh